[API Reference](../README.md) > [ProposeUpgradingSchemeParams](../interfaces/ProposeUpgradingSchemeParams.md)



# Interface: ProposeUpgradingSchemeParams


## Properties
<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/upgradeScheme.ts:254](https://github.com/daostack/arc.js/blob/f779630e/lib/wrappers/upgradeScheme.ts#L254)*



avatar address




___

<a id="scheme"></a>

###  scheme

**●  scheme**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:258](https://github.com/daostack/arc.js/blob/f779630e/lib/wrappers/upgradeScheme.ts#L258)*



upgrading scheme address




___

<a id="schemeParametersHash"></a>

###  schemeParametersHash

**●  schemeParametersHash**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:262](https://github.com/daostack/arc.js/blob/f779630e/lib/wrappers/upgradeScheme.ts#L262)*



hash of the parameters of the upgrading scheme. These must be already registered with the new scheme.




___


